Difference between revisions of "Development Team/Jhbuild/Debian"

From Sugar Labs
Jump to: navigation, search
(Prerequisites: include sudo in example command invocation to hopefully tempt users less to run sugar-jbhuild as root)
(Supported versions: Squeeze isn't good enough any more)
Line 1: Line 1:
 
== Supported versions ==
 
== Supported versions ==
Currently squeeze (testing) and sid (unstable) are supported.
+
Currently Wheezy (testing) and Sid (unstable) are supported.
 +
 
 +
Squeeze isn't supported any more because Sugar is in the progress of migrating to GTK 3 / Gnome 3, requiring bleeding edge versions of a couple of components.
  
 
== Prerequisites ==
 
== Prerequisites ==

Revision as of 16:37, 19 March 2012

Supported versions

Currently Wheezy (testing) and Sid (unstable) are supported.

Squeeze isn't supported any more because Sugar is in the progress of migrating to GTK 3 / Gnome 3, requiring bleeding edge versions of a couple of components.

Prerequisites

In order to install sugar-jhbuild, you need to install git-core, lsb-release, python and subversion:

sudo aptitude install git-core lsb-release python subversion

Installing dependencies

After installing and updating sugar-jhbuild according to the common instructions, you can use this invocation to install all dependencies automatically:

./sugar-jhbuild depscheck -s | sudo xargs aptitude -y install